import React from "react";
import { Text, StyleSheet, TouchableOpacity } from "react-native";
import { colorPalette } from "./Theme";

interface ButtonProps {
  buttonLabel: string;
  onPress: () => void;
  style?: any;
}

export function AppButton({ buttonLabel, onPress, style }: ButtonProps) {
  return (
    <TouchableOpacity style={[buttonStyles.button, style]} onPress={onPress}>
      <Text style={buttonStyles.text}> {buttonLabel} </Text>
    </TouchableOpacity>
  );
}

const buttonStyles = StyleSheet.create({
  button: {
    backgroundColor: colorPalette.primary[100],
    width: "100%",
    height: 60,
    justifyContent: "center",
    alignItems: "center",
    borderRadius: 14,
    margin: 15,
  },
  text: {
    fontSize: 20,
    fontWeight: "600",
  },
});
