import React from "react";
import { Image, StyleSheet } from "react-native";

interface LogoProps {
  margin?: boolean;
}

export function Logo({ margin = false }: LogoProps) {
  return (
    <Image
      source={require("../assets/images/logo.png")}
      style={margin ? styles.logoMargin : styles.logo}
    />
  );
}

const styles = StyleSheet.create({
  logo: {
    width: 150,
    height: 150,
  },
  logoMargin: {
    width: 150,
    height: 150,
    marginBottom: 30,
    marginTop: 30
  },
});
