import React from 'react';
import { View, StyleSheet } from 'react-native';

interface NavigationBarItemProps {
  children?: React.ReactNode;
  color: string;
  size: number;
  focused?: boolean;
}

export function NavigationBarItem({ children, focused }: NavigationBarItemProps) {

  return (
    <View style={focused ? styles.active : {}}>
      {children}
    </View>
  )
}

const styles = StyleSheet.create({
  active: {
    borderColor: '#007BAE',
    borderTopWidth: 2,
    padding: 4
  }
})

