import React from 'react';
import { View, StyleSheet } from 'react-native';
import { PaginationItem } from './PaginationItem';
import { RoundButton } from './RoundButton';

interface PaginationProps {
  step: number;
}

export function Pagination({ step }: PaginationProps) {
  return (
    <View style={styles.pagination}>
      {step === 1 || step === 5 ? <View style={styles.fakeView}></View> : <RoundButton variant="left" />}
      {step === 5 ? <RoundButton variant="left" /> : <></>}
      <PaginationItem current={step} />
      {step !== 4 && step !== 7 ? <RoundButton variant="right" /> : <></>}
    </View>
  )
}

const styles = StyleSheet.create({
  paginationFirstPage: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: 50,
  },
  pagination: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: 50
  },
  fakeView: {
    width: 54,
    height: 54,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 100,
    backgroundColor: 'white',
    marginHorizontal: 12
  }
});