import React from 'react';
import { View, StyleSheet, TextProps } from 'react-native';

interface PaginationItemProps extends TextProps {
  current?: number;
}

export function PaginationItem({ current, ...rest }: PaginationItemProps) {
  return (
    <View style={styles.container}>
      <View
        style={current === 1 ? styles.current : styles.default}
        {...rest}
      />
      <View
        style={current === 2 || current === 5 ? styles.current : styles.default}
        {...rest}
      />

      <View
        style={current === 3 || current === 6 ? styles.current : styles.default}
        {...rest}
      />
      <View
        style={[current === 4 || current === 7 ? styles.current : styles.default]}
        {...rest}
      />
    </View>
  )
}

const styles = StyleSheet.create({
  container: {
    flexDirection: 'row',
    width: 120,
    justifyContent: 'space-between'
  },
  current: {
    width: 16,
    height: 16,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 100,
    backgroundColor: '#ADD3DE',
  },
  default: {
    width: 16,
    height: 16,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 100,
    backgroundColor: 'black',
  }
})