import React from 'react';
import { View , Text, StyleSheet,TouchableHighlight} from 'react-native';

interface ProfileLogoProps {
  name: string
  init: string
}
export function ProfileLogo({name, init}: ProfileLogoProps) {
  return (
    <>
      <View style={styles.container}>
      <View style={styles.divider}></View>
        <TouchableHighlight style={styles.circle}><Text style={styles.initials}>{init}</Text></TouchableHighlight>
        <View style={styles.divider}></View>
      </View>
    <View>
        <Text style={styles.text}>{name}</Text>
      </View></>
  );
}

const styles = StyleSheet.create({

  container:{
    flexDirection: 'row',
    alignItems: "center",
    justifyContent: "center",
  },
  circle: {
    justifyContent: "center",
    alignItems: "center",
    backgroundColor: '#2E5266',
    width: 100,
    height: 100,
    borderRadius: 100/2,
  },
  divider: {
    height: 2,
    backgroundColor: '#2E5266',
    width: '25%',
  },
  initials: {
    justifyContent: "center",
    alignItems: "center",
    color: "white",
    fontSize: 60,
  },
  text: {
    marginTop:10,
    marginBottom:60,
    color: '#2E5266',
    fontSize: 20,
    justifyContent: "center",
    alignItems: "center",
  },
  
});
