import { MaterialCommunityIcons } from '@expo/vector-icons';
import React from 'react';
import { Text, StyleSheet, TouchableOpacity} from 'react-native';

interface ProfileOptionsProps {
  iconName: any
  text: string
  onPress: () => void;
}

export function ProfileOption({iconName, text, onPress}: ProfileOptionsProps) {

  return (
    <TouchableOpacity style={styles.container} onPress={onPress}>
        <MaterialCommunityIcons style={styles.icone} name = {iconName} size={24} color="#2E5266" />
          <Text style={styles.text}>{text}</Text>
        </TouchableOpacity>
  );
}
const styles = StyleSheet.create({  
  container: {
    justifyContent: "flex-start",
    alignItems: "flex-start",
    flexDirection: 'row',
    margin: 10,
  },
  icone: {
    alignItems: 'center',
    justifyContent: "center",
    marginRight: 15,
   },
  text: {
   alignItems: 'center',
   justifyContent: "center",
   fontSize: 20,
  },
  
});
