import React from 'react';
import { StyleSheet, TouchableOpacity, TouchableOpacityProps } from 'react-native';
import { Entypo } from '@expo/vector-icons';

interface RoundButtonProps extends TouchableOpacityProps {
  variant: "right" | "left" | "check"
}

export function RoundButton({ variant, ...rest }: RoundButtonProps) {
  if (variant === "right") {
    return (
      <TouchableOpacity
        style={styles.roundButton}
        {...rest}
      >
        <Entypo name="chevron-thin-right" size={24} color="white" style={{ paddingLeft: 2 }} />
      </TouchableOpacity>
    )
  }
  if (variant === "left") {
    return (
      <TouchableOpacity
        style={styles.roundButton}
        {...rest}
      >
        <Entypo name="chevron-thin-left" size={24} color="white" style={{ paddingLeft: 2 }} />
      </TouchableOpacity>
    )
  }
  if (variant === "check") {
    return (
      <TouchableOpacity
        style={styles.roundButton}
        {...rest}
      >
        <Entypo name="check" size={24} color="white" style={{ paddingLeft: 2 }} />
      </TouchableOpacity>
    )
  }
}

const styles = StyleSheet.create({
  screen: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
  },
  roundButton: {
    width: 54,
    height: 54,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 100,
    backgroundColor: '#ADD3DE',
    marginHorizontal: 12
  },
});