import React from 'react';
import { View, StyleSheet, Text, Image } from 'react-native';


interface SpecialistDetailsCardProps {
  name: String
  description: String
}

export function SpecialistDetailsCard({ name, description }: SpecialistDetailsCardProps) {

  return (
    <View style={styles.container}>
      <Image source={require("../assets/images/imgEspecialista2.png")} style={styles.imgEspecialista} />
      <View style={styles.nomeEspecialistaView}>
        <Text style={styles.nomeEspecialistaText}>{name}</Text>
      </View>
      <View style={styles.resumoEspecialistaView}>
        <Text style={styles.resumoEspecialistaText}>{description}.</Text>
      </View>
    </View>
  );
}

const styles = StyleSheet.create({

  container: {
    alignItems: "center",
    justifyContent: 'center',
    marginTop: 20
  },
  imgEspecialista: {
    height: 150,
    width: 140,
    borderRadius: 20,
  },
  nomeEspecialistaView: {
    backgroundColor: '#EBEAF0',
    height: 43,
    width: 200,
    borderRadius: 15,
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: 20
  },
  nomeEspecialistaText: {
    fontWeight: '700',
    fontSize: 17,
    lineHeight: 22
  },
  resumoEspecialistaView: {
    backgroundColor: '#F8F6FD',
    height: 121,
    width: 300,
    borderRadius: 10,
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: 20,
    paddingHorizontal: 20,
    paddingVertical: 12,
    marginBottom: 20,
  },
  resumoEspecialistaText: {
    fontWeight: '500',
    fontSize: 17,
    lineHeight: 22,
    textAlign: 'center'
  }

});