import { createTheme } from "@rneui/themed";

export const colorPalette = {
  primary: {
    50: "#DEEEF2",
    100: "#ADD3DE",
    200: "#74B8CC",
    300: "#309EBC",
    400: "#008DB5",
    500: "#007BAE",
    600: "#0070A2",
    700: "#005F92",
    800: "#005080",
    900: "#003363",
  },
  neutral: {
    0: "#FFFFFF",
    50: "#F9FAFB",
    100: "#F5F6F7",
    200: "#EFF0F1",
    300: "#E1E2E3",
    400: "#BEBFC0",
    500: "#A0A1A2",
    600: "#777778",
    700: "#626364",
    800: "#434445",
    900: "#222324",
  },
};

export const lightTheme = createTheme({
  components: {
    Divider: {
      color: colorPalette.primary[100],
      width: 5,
      insetType: "middle",
      style: {
        display: "flex",
        alignSelf: "stretch",
        flexDirection: "row",
        width: "42%",
        margin: 9,
        borderRadius: 10,
      },
    },
    CheckBox: {
      checkedColor: colorPalette.primary[200],
      checkedIcon: "check-square",
      uncheckedIcon: "square-o",
      uncheckedColor: colorPalette.primary[200],
      containerStyle: {
        display: "flex",
        justifyContent: "center",
        padding: 16,
        borderRadius: 16,
        height: 60,
        backgroundColor: colorPalette.neutral[100],
        width: "85%",
      },
      textStyle: {
        fontSize: 16,
        fontWeight: "400",
        letterSpacing: 0.75,
        color: colorPalette.neutral[900],
      },
    },
    Card: {
      containerStyle: {
        borderRadius: 16,
        padding: 0,
      },
      wrapperStyle: {},
    },
    Button: {
      buttonStyle: {
        backgroundColor: colorPalette.primary[100],
        height: 60,
      },
    },
  },
});
