import React from 'react';
import BouncyCheckboxGroup, { ICheckboxButton } from "react-native-bouncy-checkbox-group";
import { colorPalette } from "../components/Theme";

interface VerticalCheckboxGroupContainerProps {
  setSelected: React.Dispatch<React.SetStateAction<number>>;
}

export function VerticalCheckboxGroupContainer({ setSelected }: VerticalCheckboxGroupContainerProps) {
  return (
    <BouncyCheckboxGroup
      style={{ flexDirection: "column", width: '85%', alignItems: 'center' }}
      data={verticalStaticData}
      onChange={(selectedItem: ICheckboxButton) => {
        if (selectedItem.text === 'Sou paciente') {
          setSelected(1)
        }
        if (selectedItem.text === 'Sou especialista') {
          setSelected(2)
        }
      }}
    />
  )
}

export default VerticalCheckboxGroupContainer
const checkStyle = {
  iconImageStyle: {
    height: 16,
    width: 16
  },
  style: {
    backgroundColor: colorPalette.neutral[100],
    paddingLeft: 20,
    margin: 7,
    borderRadius: 16,
    fontSize: 20,
    width: '100%',
    height: 64
  },
};

const verticalStaticData: ICheckboxButton[] = [
  {
    id: 0,
    text: "Sou paciente",
    iconImageStyle: checkStyle.iconImageStyle,
    textStyle: { textDecorationLine: "none", fontSize: 20, fontWeight: '400', },
    style: checkStyle.style,
    innerIconStyle: { borderRadius: 5, borderColor: '#ADD3DE', backgroundColor: '#ADD3DE' },
  },
  {
    id: 1,
    text: "Sou especialista",
    iconImageStyle: checkStyle.iconImageStyle,
    textStyle: {
      textDecorationLine: "none",
      fontSize: 20,
      fontWeight: '400'
    },
    style: checkStyle.style,
    innerIconStyle: {
      borderRadius: 5,
      borderColor: '#ADD3DE',
      backgroundColor: '#ADD3DE'
    },
  },
]

