import { Divider } from "@rneui/base";
import React, { useCallback, useState } from "react";
import { View, Text, StyleSheet, Image, Linking, ScrollView } from "react-native";
import { AppButton } from "../components/AppButton";

export function InfoPage() {
  const [playing, setPlaying] = useState(false);
  //const video = require('../assets/man.mp4');

  const onStateChange = useCallback((state) => {
    if (state === "ended") {
      setPlaying(false);
    }
  }, []);

  return (
    <View style={styles.container}>
      <View style={styles.headerImage}>
        <Image
          source={{ uri: "https://institutopensi.org.br/wp-content/uploads/2021/04/abril-azul-890x420.jpg" }}
          style={styles.image}
        />
      </View>
      <View style={styles.textContainer}>
        <Text style={{ fontSize: 18, color: "rgba(0, 8, 45, 0.8)", fontWeight: "bold", letterSpacing: 1 }}>
          Autismo
        </Text>
        <Divider style={{ marginVertical: 7 }} />
        <Text style={{ fontSize: 14, letterSpacing: 0.7, color: "rgba(0, 8, 45, 0.8)" }}>
          A Perturbação do Espectro do Autismo (PEA) é caracterizada por dificuldades de interacção social, comunicação verbal e não-verbal e comportamentos
          de repetição. As manifestações desta perturbação (PEA) tendem a variar dependendo do seu grau de gravidade, do nível de desenvolvimento da
          criança e da idade da mesma, daí o termo "espectro".
        </Text>

      </View>
      <AppButton
        style={styles.button}
        buttonLabel="Saiba mais"
        onPress={() => {
          Linking.openURL("https://www.cooperativafocus.pt/pt/autismo").catch(err => console.error("Couldn't load page", err));
        }}
      />
      {/* <Video source={video}   // Can be a URL or a local file.
        ref={(ref) => {
          this.player = ref
        }}                                      // Store reference
        onBuffer={this.onBuffer}                // Callback when remote video is buffering
        onError={this.videoError}               // Callback when video cannot be loaded
        style={styles.backgroundVideo} /> */}
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: "center",
    backgroundColor: "white",
  },
  headerImage: {
    width: "100%",
    height: "30%",
    paddingHorizontal: 30,
    paddingVertical: 10,
    marginBottom: 10,
  },
  image: {
    width: "100%",
    height: "100%",
    borderRadius: 20,
  },
  textContainer: {
    width: "85%",
    backgroundColor: "rgba(150, 135, 201, 0.1)",
    borderRadius: 20,
    paddingHorizontal: 20,
    paddingTop: 10,
    paddingBottom: 20,
  },
  button: {
    width: "85%",
  },
  backgroundVideo: {
    position: 'absolute',
    top: 0,
    left: 0,
    bottom: 0,
    right: 0,
  },
});
