import React, { useState } from 'react';
import { KeyboardAvoidingView, Platform, StyleSheet } from "react-native";
import { PatientStepFour } from '../components/SignUpSteps/PatientStepFour';
import { PatientStepThree } from '../components/SignUpSteps/PatientStepThree';
import { PatientStepTwo } from '../components/SignUpSteps/PatientStepTwo';
import { SpecialistStepFour } from '../components/SignUpSteps/SpecialistStepFour';
import { SpecialistStepThree } from '../components/SignUpSteps/SpecialistStepThree';
import { SpecialistStepTwo } from '../components/SignUpSteps/SpecialistStepTwo';
import { SignUpUserOption } from '../components/SignUpSteps/SignUpUserOption';
import { Logo } from '../components/Logo';
import { User } from '../services/hooks/useUser';

export function SignUp() {
  const [step, setStep] = useState(1);
  const [userData, setUserData] = useState<User>({});
  return (
    <KeyboardAvoidingView
      behavior={Platform.OS === "ios" ? "padding" : "height"}
      keyboardVerticalOffset={120}
      style={styles.container}>
      <Logo margin={true} />
      {
        (step === 1) ?
          <SignUpUserOption setStep={setStep} setUserData={setUserData} />
          : (step === 2) ?
            <PatientStepTwo setStep={setStep} userData={userData} setUserData={setUserData} />
            : (step === 3) ?
              <PatientStepThree setStep={setStep} userData={userData} setUserData={setUserData} />
              : (step === 4) ?
                <PatientStepFour setStep={setStep} userData={userData} setUserData={setUserData} />
                : (step === 5) ?
                  <SpecialistStepTwo setStep={setStep} userData={userData} setUserData={setUserData} />
                  : (step === 6) ?
                    <SpecialistStepThree setStep={setStep} userData={userData} setUserData={setUserData} />
                    : (step === 7) ?
                      <SpecialistStepFour setStep={setStep} userData={userData} setUserData={setUserData} /> : <></>
      }
    </KeyboardAvoidingView >
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: "#FFF",
    justifyContent: "center",
    alignItems: "center",
  },
});
