import { useNavigation } from '@react-navigation/native';
import React, { useState } from 'react';
import { StyleSheet, SafeAreaView, ScrollView } from 'react-native';
import { AppButton } from '../components/AppButton';
import { Collapse } from '../components/Collapse';
import { SpecialistDetailsCard } from '../components/SpecialistDetailsCard';
import { Chat } from './Chat';

export function SpecialistDetails({ route }) {
  const { specialistId, specialistName, specialistDescription } = route.params;
  const navigation = useNavigation();
  return (
    <ScrollView style={styles.container}>
      <SafeAreaView style={styles.containerContent}>
        <SpecialistDetailsCard name={(specialistName)} description={(specialistDescription)} />
        <Collapse description={specialistDescription} id={specialistId} />
        <AppButton style={styles.button} buttonLabel="Entrar em contato" onPress={() => navigation.navigate("Chat", {
          id: specialistId, name: specialistName,
        })} />
      </SafeAreaView>
    </ScrollView>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
  },
  containerContent: {
    fontSize: 25,
    justifyContent: "center",
    alignItems: "center",
    backgroundColor: 'white',
  },
  imgEspecialista: {
    alignItems: "center",
  },
  button: {
    width: "85%",
  },
});