import axios, { AxiosError } from 'axios';
import * as SecureStore from 'expo-secure-store';

interface AxiosErrorResponse {
  code?: string;
}

export const api = axios.create({
  baseURL: 'http://ec2-54-207-221-104.sa-east-1.compute.amazonaws.com:8085/',
});

api.interceptors.response.use(response => {
  return response;
}, (error: AxiosError<AxiosErrorResponse>) => {
  console.log(JSON.stringify(error))
  return Promise.reject(error);
})

api.interceptors.request.use(async req => {
  if (req.url === "/login") {
    return req;
  }
  const access_token = await SecureStore.getItemAsync('access_token')
  if (access_token) {
    req.headers.authorization = access_token;
  }
  return req;
});